Skip to content
Ona Docs

CreateEnvironmentClass

POST/gitpod.v1.RunnerConfigurationService/CreateEnvironmentClass

Creates a new environment class for a runner.

Use this method to:

  • Define compute resources
  • Configure environment settings
  • Set up runtime options

Examples

  • Create environment class:

    Creates a new environment configuration.

    runnerId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    displayName: "Large Instance"
    description: "8 CPU, 16GB RAM"
    configuration:
      - key: "cpu"
        value: "8"
      - key: "memory"
        value: "16384"
Body ParametersJSONExpand Collapse
configuration: optional array of FieldValue { key, value }
key: optional string
value: optional string
description: optional string
maxLength200
minLength3
displayName: optional string
maxLength127
minLength3
runnerId: optional string
formatuuid
ReturnsExpand Collapse
id: optional string

CreateEnvironmentClass

curl https://app.gitpod.io/api/gitpod.v1.RunnerConfigurationService/CreateEnvironmentClass \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "id": "id"
}
Returns Examples
{
  "id": "id"
}